/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/AOPT.H__   1.6   20 Jun 1996 09:30:26   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/AOPT.H__  $
** 
**    Rev 1.6   20 Jun 1996 09:30:26   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.4   10 Jun 1996 10:25:04   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.2   29 May 1996 09:37:48   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// aopt.h
//
// Roger Zhang
//                                                                           
// 5/6/1996
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _AOPT_
#define _AOPT_

class AOption : public CProjectOption
{
// constructor/destructor
public:
    AOption() {;}
    virtual ~AOption() {;}
    
// attributes
public:
    ACTool m_acTool;
    AATool m_aaTool;
    ALTool m_alTool;
    ALIBTool m_alibTool;
    AETool m_aeTool;                         
    
// implementation
public:
    virtual int GetFileType(LPCSTR lpcszFile) const;    
    BOOL CreateLinkCmdFile(const CStringList &lst, LPCSTR lpcszProj );
    BOOL WriteBatchFile(FILE * fp, LPCSTR lpcszText);
    
// operations
public:
    virtual void SetOption(CWnd *pParent);  
    virtual BOOL SaveOption(FILE * fp);
    virtual BOOL LoadOption(FILE * fp);
    
    virtual void Build(const CStringList &lst, LPCSTR lpcszProj);
    virtual void Editor(void);
};

#endif
